=== examples/CMakeLists.txt ===
add_subdirectory(cc)
add_subdirectory(cool)
#add_subdirectory(fact)
add_subdirectory(foolisp)
add_subdirectory(php)
