=== debian/changelog ===
kdevelop-pg-qt (2.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies from the CMake output.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 17:53:24 -0500
