=== debian/control ===
Source: kdevelop-pg-qt
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               flex,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt

Package: kdevelop-pg-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: LL(1) parser generator based on Qt
 KDevelop-PG-Qt is a parser generator written in readable source-code and
 generating readable source-code. Its syntax was inspirated by AntLR.
 It implements the visitor-pattern and uses the Qt library.
 .
 This package contains the kdev-pg-qt binary, the headers files generated by
 the KDevelop parser generator and the cmake file to find the parser.
