=== tests/CMakeLists.txt ===
ecm_add_test(testlocationtable.cpp LINK_LIBRARIES KDevelopPGQt::Utils Qt6::Core Qt6::Test)

ecm_add_test(testmemorypool.cpp LINK_LIBRARIES KDevelopPGQt::Utils Qt6::Core Qt6::Test)

ecm_add_test(benchmarks.cpp LINK_LIBRARIES KDevelopPGQt::Utils Qt6::Core Qt6::Test)
