=== debian/changelog ===
kdevelop-pg-qt (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Mar 2025 07:24:25 +0100

kdevelop-pg-qt (2.3.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Jan 2025 18:59:56 +0100
