=== debian/watch ===
version=4

https://download.kde.org/stable/kdevelop-pg-qt/([\d.]+)/src/kdevelop-pg-qt-([\d.]+)\.tar\.xz
