## kdevelop-pg-qt 2.4.0+p24.04+vstable+git20250505.1246

=== debian/changelog ===
kdevelop-pg-qt (2.4.0+p24.04+vstable+git20250505.1246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 May 2025 12:46:09 +0000

kdevelop-pg-qt (2.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Mar 2025 08:43:15 +0000

kdevelop-pg-qt (2.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Jul 2024 09:51:21 +0000

kdevelop-pg-qt (2.2.2-0neon) jammy; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit 846f186291ff26ccf320c0c0e85eccf15782ea68 to help
    building in a reproducible way; patch
    upstream_build-generate-flex-bison-outputs-with-relative-file.patch.

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2023 13:55:02 +0000

kdevelop-pg-qt (2.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 27 Jul 2017 13:53:30 +0000

kdevelop-pg-qt (2.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 24 Aug 2016 15:40:40 +0000
