=== debian/control ===
Source: kdevelop-pg-qt
Section: devel
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               flex,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Vcs-Git: https://invent.kde.org/neon/extras/kdevelop-pg-qt.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdevelop-pg-qt
Maintainer: Neon CI <neon@kde.org>

Package: kdevelop-pg-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: LL(1) parser generator based on Qt
 KDevelop-PG-Qt is a parser generator written in readable source-code and
 generating readable source-code. Its syntax was inspirated by AntLR.
 It implements the visitor-pattern and uses the Qt library.
 .
 This package contains the kdev-pg-qt binary, the headers files generated by
 the KDevelop parser generator and the cmake file to find the parser.
